Deel: Add bank account — global Payroll add Gp Contract Bank Account — 201 response body — data
Add bank account — globalPayroll.addGpContractBankAccount: 201 response body, field data. Complete fields and constraints for contract 2026-10-27.
API reference · Contract 2026-10-27
SDK schema: Add bank account — global Payroll add Gp Contract Bank Account — 201 response body — data
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
created_at | string | Required within parent | Timestamp of when the bank account was created, in ISO-8601 format. Format: date-time |
funds_distribution | JSON | Optional | |
funds_distribution (anyOf 1) | JSON | Alternative | |
funds_distribution (anyOf 1) (anyOf 1) | number | Alternative | Percentage (0–100) of the salary paid to this account. A newly added account starts at 0 unless it is the only account; use PATCH /banks/settings to change the split. Format: double |
funds_distribution (anyOf 1) (anyOf 2) | string | Alternative | Pattern: ^-?[0-9]+(?:.[0-9]+)?(?:[eE][+-]?[0-9]+)?$ |
funds_distribution (anyOf 2) | null | Alternative | Percentage (0–100) of the salary paid to this account. A newly added account starts at 0 unless it is the only account; use PATCH /banks/settings to change the split. Format: double |
id | string | Required within parent | Unique identifier for the newly added bank account. Format: uuid |
status | string | Required within parent | The status of the newly added bank account. |
updated_at | string | Required within parent | Timestamp of the last update to the bank account, in ISO-8601 format. Format: date-time |